Page MenuHomePhabricator

Internal to Kotlin
ClosedPublic

Authored by CLOVIS on Feb 10 2019, 6:31 PM.

Details

Reviewers
WyldBot
Hackintosh5
Maniphest Tasks
T272: Convert API to Kotlin
Commits
rLIBWFJVAc287c8db8445: Cache gradle
rLIBWFJVA6cbd50c86afa: Run Dokka alongside the unit tests, to speed up builds
rLIBWFJVA094e5b723b25: Pip cache, reports as artifacts, Gradle without daemon
rLIBWFJVA413024354d37: Reordering dependencies for clarity
rLIBWFJVA153cad3ecf78: Cleaning the Dockerfile
rLIBWFJVAbe646013c73d: Do not run tests with static analysis
rLIBWFJVAf607238d8396: Assume API is not running when lsof is missing
rLIBWFJVAe96ce619b819: Download OpenJDK sources
rLIBWFJVA4f41c18f052d: Converting Internal to Kotlin
rLIBWFJVA0e462cf84296: Rename .java to .kt
rLIBWFJVAca6a329afae3: Upload the JUnit results
rLIBWFJVAca03e0150f2e: Do not delete the file db.sqlite3 if it doesn't exists (to have a cleaner log…
rLIBWFJVAbe5c2b59120f: Test the Gradle cache before running the scripts
rLIBWFJVA91eab62c60c5: Documentation in .gitlab-ci.yml
rLIBWFJVAd2a845e5709c: Upload JUnit results as artifacts
rLIBWFJVA1eb6595e06a9: Fix query order (posts are not always in the same order)
rLIBWFJVA2024770d72a6: Update the API
rLIBWFJVAfb77f975dad8: Gradle cache
rLIBWFJVA650a83fd8869: Run Dokka alongside the unit tests, to speed up builds
rLIBWFJVA54db3475626d: Pip cache, reports as artifacts, Gradle without daemon
rLIBWFJVA0542eca33ac2: Reordering dependencies for clarity
rLIBWFJVA4287425eba58: Better cache for CI
rLIBWFJVAbee82982aab2: # Ceci est la combinaison de 2 commits. # Ceci est le premier message de…
rLIBWFJVA337c86ad8e24: Cleaning the Dockerfile
rLIBWFJVA11fe5ceed7e0: Do not run tests with static analysis
rLIBWFJVAbe8013a48150: Assume API is not running when lsof is missing
rLIBWFJVA7b2c40bfd170: Add virtualenv, PostGresQL, Git, OpenJDK sources, GCC to the container
rLIBWFJVA812e8273719a: Cache wheels
rLIBWFJVA5682c9742d69: Remove pointless lsof
rLIBWFJVAed9b260a239d: Cache Gradle dependencies
rLIBWFJVAf6142084d83a: Removed after_script
rLIBWFJVAf1e33adc209b: What is running on port 8000 in the container?
rLIBWFJVA45fc4be4951e: Dockerfile with Java & Python
rLIBWFJVAac9abf5e3ec7: Prototype of .gitlab-ci.yml
rLIBWFJVAbe648c5b8e6f: Fix parallel tests when there's only 1 available core
rLIBWFJVAabaca0af25d2: Clone the submodule with HTTPS instead of SSH (no keys on CI servers)
rLIBWFJVAe179e9044b78: Updating copyrights
Summary

Converting Internal to Kotlin

Closes T272

Test Plan

Run the tests

Diff Detail

Repository
rLIBWFJVA WildFyre Java Libary
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This revision is now accepted and ready to land.Mar 27 2019, 3:34 PM
  • Rename .java to .kt
  • Converting Internal to Kotlin
This revision now requires review to proceed.Apr 18 2019, 4:05 PM
This revision is now accepted and ready to land.Apr 19 2019, 10:08 PM

Can you check that the unit tests pass? Gradle skipped them so I guess they do but just to be sure

This revision now requires changes to proceed.Apr 20 2019, 2:31 AM
  • Updating copyrights
  • Rename .java to .kt
  • Converting Internal to Kotlin
  • Prototype of .gitlab-ci.yml
  • Clone the submodule with HTTPS instead of SSH (no keys on CI servers)
  • Fix parallel tests when there's only 1 available core
  • Dockerfile with Java & Python
  • What is running on port 8000 in the container?
  • Removed after_script
  • Cache Gradle dependencies
  • Remove pointless lsof
  • Cache wheels
  • Add virtualenv, PostGresQL, Git, OpenJDK sources, GCC to the container
  • Assume API is not running when lsof is missing
  • Do not run tests with static analysis
  • Cleaning the Dockerfile
  • # Ceci est la combinaison de 2 commits.
  • Better cache for CI
  • Reordering dependencies for clarity
  • Pip cache, reports as artifacts, Gradle without daemon
  • Run Dokka alongside the unit tests, to speed up builds
  • Gradle cache
  • Fix query order (posts are not always in the same order)
  • Update the API
  • Upload JUnit results as artifacts
  • Test the Gradle cache before running the scripts
  • Documentation in .gitlab-ci.yml
  • Upload the JUnit results
  • Do not delete the file db.sqlite3 if it doesn't exists (to have a cleaner log output)
  • Rename .java to .kt
  • Converting Internal to Kotlin

Needs same changes as D246 and D247

This revision now requires changes to proceed.Apr 24 2019, 12:09 PM

Please review without taking into account changes introduced by D246, it will be rebased when D246 is landed

This revision was not accepted when it landed; it landed in state Needs Review.May 15 2019, 8:29 PM
This revision was automatically updated to reflect the committed changes.